#include ONCE "window9.bi"

sub DisableToolTip( iGadget as Long , iState as Long) export
	
	dim as ListT ptr pList = pGlobalTypeWindow9->ListGadgets->firstNode
	
	while pList
	
		if pList->anyOneData = iGadget then
	
			if iState = 0 then
	
				gtk_widget_set_tooltip_text(Cast(any ptr , GadgetID(pList->anyFourData)) , cast(any ptr ,pList->anyTwoData))
	
			else
			
				gtk_widget_set_tooltip_text(Cast(any ptr , GadgetID(pList->anyFourData)) , 0)

			EndIf
			
			exit while

		EndIf
		
		pList = pList->nextNode

	Wend

End Sub